#######################################################################
#  This section configures INSTALL_OPT_REPLACE for your Web Server
#######################################################################

# CAisd specifies the path to the INSTALL_OPT_REPLACE
# files on your web server.  It normally is a virtual directory or alias.

CAisd     /CAisd

# Cgi specifies the name of the INSTALL_OPT_REPLACE CGI program.
# You don't need to change this unless you renamed pdmweb.exe.

Cgi pdmweb.exe

# CgiReport specifies the name of the CGI report program.
# You don't need to change this unless you renamed pdm_cgireport.

CgiReport pdm_cgireport.exe

# FormTitle specifies the initial text of the title of all HTML forms.

FormTitle $NX_INSTALL_OPTION

# Do not alter the following
ProductID $NX_INTERNAL_PRODUCT_ID
ProductName $NX_INSTALL_OPTION

# HtmplDoctype specifies the DOCTYPE on HTML generated for HTMPL forms.
# It can be overridden on an individual form by an explicit DOCTYPE,
# which must be the first line of the form.

HtmplDoctype <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">

#######################################################################
#  This section configures miscellaneous options
#######################################################################

# ListPageLength is the number of entries to display in a single list page.

ListPageLength 25

UseNestedTabs $NX_USE_NESTED_TABS


# The Bottom link on lists causes the webengine to fetch every record in
# the list.  This can be expensive for long lists.  ListBottomWarn is the
# maximum size of a list before a request to scroll to the bottom gets a
# popup warning.  ListBottomMaximum is the maximum size of a list before
# a request to scroll to the bottom is refused.

ListBottomWarn    1000
ListBottomMaximum 2500

# The List All link on lists causes the webengine to fetch every record in
# the list and return it to the browser.  This can be expensive for long 
# lists.  ListAllWarn is the maximum size of a list before a request to
# List All gets a popup warning.  ListAllMaximum is the maximum size of
# a list before a request to List All is refused.

ListAllWarn    100 
ListAllMaximum 500 

# SchedExpMaximum is the maximum size of a schedule list before a 
# request to export a schedule is refused.   
SchedExpMaximum 1000

# AnnouncementLength is the number of announcements to display on the
# main form.

AnnouncementLength 10


# UpdatedAnnouncementsPopup will display a popup browser window when there are
# new Announcements.  A new Announcement is any Announcement that has not been displayed in the
# main Announcement list (displayed at login or with View - Announcements).  
# This feature only works when an analyst is logged in to the web UI.  The browser polls
# the server for new announcements; UpdatedAnnouncementsPopup sets the polling interval, in minutes.
# It is recommended to set this to no lower than 5 to reduce server load.
# This affects all logged in users, Analyst interface only.

# UpdatedAnnouncementsPopup 10

# LogoutURL is the URL of a web page to be displayed after a user logs out
# of INSTALL_OPT_REPLACE.  If this value is commented out, logging
# out displays the INSTALL_OPT_REPLACE login form.

! LogoutURL http://www.ca.com

#######################################################################

# All variables pertaining to Auto Suggest feature
# Values for all these variables can be set using Options Manager
# MinCharsAutoSuggest: Specifies the minimum characters to be entered in any
# lookup for AutoSuggest to display matching records
# MaxRecordsAutoSuggest: Specifies the number of matching records displayed
# AutoSuggestStatus: Specifies if AutoSuggest feature is turned ON or OFF
 
MinCharsAutoSuggest $NX_MIN_CHARS_AUTO_SUGGEST

MaxRecordsAutoSuggest $NX_MAX_RECORDS_AUTO_SUGGEST

AutoSuggestStatus $NX_AUTO_SUGGEST_STATUS

#######################################################################
# This section contains allows you to customize behavior when
# doing lookups of reference data.  
#######################################################################
# MatchesFound is the message to display when a user's key is ambiguous
# and the edit form must be redisplayed with dropdwon (default ahd04468)
# MaxSelectList is the maximum size of the dropdown (default 25)
# TooManyMatches is the message to display when this number is exceeded
#                (default ahd04470).
# NoMatchesFound message to display when a user's key finds no matches
#                (default ahd04469).

! MatchesFound   TEXT_STRING
! MaxSelectList  25
! NoMatchesFound TEXT_STRING
! TooManyMatches TEXT_STRING

# SelListCacheMax defines maximum record count for caching selection 
# list. If a selection list for a factory has record count smaller than 
# this value, it will be cached. Default value is 10. If the value of 
# this variable is equal or less than zero, no selection list will be 
# cached.

! SelListCacheMax 10

# The SelListCacheExclude property lists factories that should be excluded
# from the Select Cache.  The Select Cache is a global cache of data used in
# dropdowns (PDM_SELECT and certain PDM_LIST statements).  The cache is
# needed only for factories that appear in a dropdown or use a hierarchical
# lookup.

SelListCacheExclude acc_lvls act_type_assoc ADMIN_TREE agt alg all_lr am_asset_map ANI api arcpur_rul arcpur_hist asset atev attmnt attmnt_lrel attr_alias audlog bhvtpl bhvtpl_wftpl bmhier bmrep bmlrel bns BU_TRANS ca_application_registration ca_asset ca_asset_source ca_asset_source_unrestricted ca_asset_type ca_cmpny ca_logical_asset ca_logical_asset_property chg chg_tpl chgalg chgcat_grp chgcat_loc chgcat_workshift CI_ACTIONS CI_BOOKMARKS CI_DOC_LINKS cnt country cpex cr cr_prp cr_prptpl crsq cst ctab ctp dlgsrvr dmc dcon dcon_typ EBR_ACRONYMS EBR_DICTIONARY EBR_DICTIONARY_ADM EBR_FULLTEXT EBR_FULLTEXT_ADM EBR_FULLTEXT_SD EBR_FULLTEXT_SD_ADM EBR_INDEX EBR_INDEX_ADM EBR_INDEXING_QUEUE EBR_INDEXING_QUEUE_ADM EBR_KEYWORDS EBR_LOG EBR_METRICS EBR_NOISE_WORDS EBR_PATTERNS EBR_PREFIXES EBR_PROPERTIES EBR_SUBSTITS EBR_SUFFIXES EBR_SYNONYMS EBR_SYNONYMS_ADM ES_CONSTANTS ES_MODES ES_SESSIONS ES_RESPONSES event_log event_type evt_dly evtdlytp fmgrp grc grp grp_loc grpmem help_content help_item help_lookup hier INDEX_DOC_LINKS in intfc ir iss issalg isscat_grp isscat_loc isscat_workshift iss_prp iss_wf KCAT KD KD_ALL KD_ATTMNT KD_FILE KD_QA kdlinks kmlrel KT_REPORT_CARD kwrd ldap ldap_group LONG_TEXTS lr lrel1 macro macro_type menu_tree menu_tree_res mfrmod mgs mgsstat nr nr_com ntfl ntfm ntfr O_COMMENTS O_EVENTS options P_GROUPS pcat_grp pcat_loc pcat_workshift pr prod_list prp prptpl response role_go_form rptm sapolicy saprobtyp session_log session_type SHOW_OBJ sqchg sqcr survey svy_ans svy_atpl svy_qtpl svy_ques svystat svy_tpl svytrk swex text_api tkt tspan url USP_PREFERENCES USP_PROPERTIES usq wf wftpl wftpl_chgcat wftpl_grp wspcol wsptbl kcd ktd

# The SelListCachePreload property lists factories whose select cache should
# be loaded at webengine start time.  The cache for factories not in this
# list is loaded the first time it is needed.  This property is a blank-
# separated list of factories, each optionally followed by an parenthesized
# list of attributes to be stored in the cache.  For factories preloaded for
# hierarchical search, the attribute list should incldue the description.

SelListCachePreload chgcat(description owning_contract) chgstat chgcat_ss(description owning_contract) crs isscat(description owning_contract) issstat isscat_ss(description owning_contract) pcat(description cr_flag in_flag pr_flag owning_contract) pri tskstat urg pcat_cr(description cr_flag in_flag pr_flag owning_contract) pcat_pr(description cr_flag in_flag pr_flag owning_contract) pcat_in(description cr_flag in_flag pr_flag owning_contract) pcat_in_ss(description cr_flag in_flag pr_flag owning_contract) pcat_cr_ss(description cr_flag in_flag pr_flag owning_contract) tenant(name subtenant_group supertenant_group) tenant_group_member(tenant_id tenant_group)

# The HTMPL cache allows the webengine to parse each HTMPL form only
# once.  This enhances performance considerably, but may be inconvenient
# in a development environment.  Specify SuppressHtmplCache to suppress
# the cache, and force the webengine to reread a form each time it is user.

! SuppressHtmplCache

# The HtmplCacheSize property specifies the size of the HTMPL cache.
# When the cache exceeds this size, the form with the fewest uses is removed.
# It is not normally necessary to alter this value from its default of 1000.

! HtmplCacheSize 1000

# HTMPL macros are small, parameterized pieces of HTMPL code.  Their use
# can make HTMPL files smaller and easier to understand.  There are two
# properties associated with macros:
#
#   MacroPath specifies the path to one or more directories where macros
#   are stored under names of the form xxx.mac.  All macros are retrieved
#   from one of the directories in MacroPath, regardless of the forms
#   group in effect.

MacroPath "'$NX_ROOT/site/mods/www/macro' '$NX_ROOT/bopcfg/www/macro'"

#  HitTrackFile is the full path to a file that receives a log of all
#  web pages used.  One line is written to this file each time a user
#  requests a page.  The file can grow indefinitely, so be cautious when
#  specifying this property.
! HitTrackFile $NX_ROOT/log/web_hits.log

#  DateFormat specifies the order of data elements in the display.
#  Rearrange MM (month), DD (day), YYYY (year), hh (hour), mm (minutes),
#  and a(am, pm) (AM/PM suffix) as required.
#   
# M - print 1 or 2 digits of month.
# MM - print 2 digits of month.
# D - print 1 or 2 digits of date.
# DD - print 2 digits of date.
# YY - print 2 digits of year
# YYYY - print 4 digits of year.
# H - print 1 or 2 digits of hours on 24 hour clock
# HH - print 2 digits of hours on 24 hour clock
# h - print 1 or 2 digits of hours on 12 hour clock
# hh - print 2 digits of hours on 12 hour clock
# m - print 1 or 2 digits of minutes
# mm - print 2 digits of minutes
# s - print 1 or 2 digits of seconds
# ss - print 2 digits of seconds
# a(am,pm) - print am and pm as a string

! DateFormat MM/DD/YYYY hh:mm a(am,pm)

# ExclLockSeconds specifies the maximum number of seconds that a user is
# given an exclusive lock on a record after pressing Edit.  After this
# period has elapsed, the webengine releases the lock, allowing other users
# to update the record.  
# IMPORTANT: ExclLockSeconds must be shorter than Timeout.  When comparing,
#    note that ExclLockSeconds is in seconds, while Timeout is in minutes.

! ExclLockSeconds 300 

# Timeout specifies the maximum number of minutes a user's session can be
# inactive before it is cancelled and all resources released.  After this
# period has elapsed, the user must start a new session by logging in again.

! Timeout 60


# WSP Timeout specifies the maximum number inactive minutes a file can be locked by user's session
# before it is released.  After this period has elapsed, the other user session 
# is allowed to gain the lock on the same file.

! WspLockTimeout 60

# OdbcTimeout specifies the maximum number of minutes an ODBC session can be
# inactive before it is cancelled and all resources released.  ODBC sessions
# are used for reporting and for the pdm_isql command line utility.  After
# this period has elapsed, the ODBC user must start a new session by
# disconnecting and reconnecting.

! OdbcTimeout 60

# TimeoutWarning specifies the number of minutes prior to session timeout
# that the web client should pop up a warning alert box.  THe default value
# is five minutes; specify TimeoutWarning 0 to suppress this feature

! TimeoutWarning 5

#######################################################################
# Log Reader refresh interval.
# The Notification Log Reader can refresh itself at a periodic interval.
# The default interval is 5 minutes.  Use this variable (expressed in seconds)
# to change the Reader's refresh interval.  Specifying '0' prevents the Reader
# from Refreshing.  A minimum of 30 seconds is enforced.
#######################################################################
! Lr_Refresh 300

#######################################################################
# By default, the server does not verify that a client connection
# maintains the same IP address.  As an option, the server can do this
# verification, which will prevent a browser from accessing a session
# belonging to another.  Note that this check is not appropriate for
# installations using a proxy server, as session IP addresses will
# vary.  To enable the check, set "IsUsingProxy" to no.
#######################################################################
IsUsingProxy yes

#######################################################################
# This section is for Jasmineii portal.
#######################################################################
# Portal may run on a separate machine, so it needs a way to send a request
# to the AHD web server by using an URL. In the URL, a machine name is 
# required. The machine name can be a string or an IP address.  
# If not specified, MachineName is set to the name of the machine running
# the service desk web server.
# MachineName ahd 

#######################################################################
# The following arguments can be used to control the size of the form cache
# for each user. The form cache contains forms retained in webengine memory.
# The webengine always retains the last FormCacheMax forms used by a user.  
# Forms beyond this number are eligible to be timed out after FormTimeout
# seconds.  A form that has been timed out can no longer be accessed by the
# Back or Forward buttons on the main page, and can no longer be submitted
# on a popup form.  Timing out forms saves memory in the webengine, but does
# occasionally require users to manually refresh a form.  You can set
# FormCacheMax to -1 to disable the form timeout feature.   However, you
# should be cautious about disabling this feature, as the number of forms in
# cache for a long session can potentially be very high, as every
# interaction with the web engine caches another form.
#######################################################################

# FormCacheMax specifies the minimum number of forms to be retained for each
# user.  The webengine always retains the most recently used FormCacheMax
# forms.  Other forms are eligible for timeout.
#
# A value of -1 for FormCacheMax disables the forms timeout feature.
#
# Note: If this value is not -1, the URL constructed in the javascript or 
#       used in the frame window can not have FID larger than 10000. View  
#       the javascript file, fid_gen.js for detail.

! FormCacheMax 100

# FormTimeout specifies the minimum number of seconds that a form is
# retained in the webengine before it is eligible for removal from the
# cache.  users always have at least FormTimeout seconds to work on a form
# before submitting it.  In addition, the webengine always retains the most
# recently used FormCacheMax forms for each user.  The default value of
# FormTimeout is 180 (3 minutes).

! FormTimeout 180

# StayCacheList specifies the names of forms that are never removed from the
# cache, regardless of the length of time they have been displayed.  This
# property ensures that the fixed frames on a frame display remain for the
# lifetime of a session.  It can be used with caution to cause other forms
# to be permanently cached.

StayCacheList scoreboard.htmpl top_splash.htmpl buttons.htmpl hiersel_menu_tree.htmpl hiersel_KCAT.htmpl

#######################################################################
#  This section contains installation data that should not be
#  changed without consulting Technical Support.
#######################################################################
# Script is deprecated. 

#  Valid priorities for customer-created requests.  Must be chosen from
#  {none 1 2 3 4 5} separated by spaces, with the default first
CstPrio none 3 4 5

#  Valid priorities for employee-created requests.  Must be chosen from
#  {none 1 2 3 4 5} separated by spaces, with the default first
EmpPrio none 3 4 5

#  Valid priorities for requests created by the anonymous user.  Must be
#  chosen from {none 1 2 3 4 5} separated by spaces, with the default first
AnonymousPrio none 3 4 5

#######################################################################
# Following are the mapping for enum vs. sym of urgency.
# For each property specify like 0 1 2 3 4 separated by spaces, with the 
# default as first.
#     e.g. ESCEmpUrg 0 1 2 3 
#
# 0 = 1-When Possible 
# 1 = 2-Soon
# 2 = 3-Quickly
# 3 = 4-Very Quickly
# 4 = 5-Immediate
#######################################################################
#  Valid Urgencies for VIP employee-created requests.
ESCEmpUrg 0 1 2 3


#  Valid Urgencies for non VIP Employee requests.
EmpUrg 0 1 2


#  Valid Urgencies for requests created by the anonymous user.
AnonymousUrg 0 1 2

#######################################################################
# By default, the webengine sends message to the log file for the 
# events like session creation, session termination, user login, and 
# user logout. Specify SuppressLoginAndLogoutMsg can stop the message.        
#######################################################################
! SuppressLoginAndLogoutMsg

#######################################################################
# When the system is configured to run multiple webengines, a load 
# balancing program, webdirector, can work as a request redirector. It 
# redirects the initial request to the webengine with the highest 
# willingness value. 
# This section allows you to set the values for running with the 
# webdirector.  
#######################################################################

# Set UseDirector to yes when running with webdirector. 
# Set UseDirector to AfterLogin when using the webengine to 
# redirect the request after authentication. 
# Set UseDirector to BeforeLogin when using the webengine to redirect 
# the request before authentication.
! UseDirector no

# WebdirectorSlumpName specify the slump name for the webdirector. 
! WebdirectorSlumpName web:director

# WillingnessValue can be the value between 0 to 10. If it is set to 
# 0, the webengine doesn't accept any session. The default value for 
# it is 5.
! WillingnessValue 5

# RedirectingURL specifies the full URL for redirecting the request to 
# the webengine. By default, it uses 'CAisd' and the value set for the 
# Cgi variable to construct the URL.
# If this webengine uses SSL connection, the protocol, https, needs to 
# be added to the URL, for example, 
# RedirectingURL https://<machine name>/<cgi directory>/<cgi name>
! RedirectingURL http://<machine name>/<cgi directory>/<cgi name>

#######################################################################
# The following properties provide values for the text appended to the
# value or label of certain fields with special significance.  There are
# two variations of each indicator, one for the standard analyst UI, and
# one for customer, employees, and analysts using a screen reader.
########################################################################

IndRequired " *"                 Required field
IndRdrRequired " (required)"     Required field (cust/emp/reader)

IndAdvisory " *"                 Advisory announcement
IndEmergency " **"               Emergency annoucement
IndRdrAdvisory " (advisory)"     Advisory announcement (cust/emp/reader)
IndRdrEmergency " (emergency)"   Emergency annoucement (cust/emp/reader)

IndSLAWarn " *"                  SLA Warning
IndSLAViol " **"                 SLA Violation
IndRdrSLAWarn " (SLA Warning)"   SLA Warning (cust/emp/reader)
IndRdrSLAViol " (SLA Violation)" SLA Violation (cust/emp/reader)

IndTenantImplying " (T)"         Tenant-implying
IndRdrTenantImplying " (Tenant)" Tenant-implying (reader)
IndTenantOptImplying " (TO)"     Tenant-implying from tenant-optional table
IndRdrTenantOptImplying " (Tenant Optional)" Tenant-implying tenant-opt (rdr) 

DefaultStatusFlag " (Default)"

#######################################################################
# Scope is deprecated, and will likely disappear in future releases.  Most
# sites should leave Scope set to "all" and use data partitions and forms
# groups for more strictly controlling access to various pages.
#######################################################################
Scope all

#######################################################################
# WorkFrameTimeout sets the timeout value for issuing the reqeust from 
# the hidden frame in the main web page. Default value is 30 seconds. 
######################################################################
! WorkFrameTimeout 30

#######################################################################
# NameLookupOption allows the use of space as a delimiter in between 
# the last name and the first name in the edit form.  
#######################################################################
! NameLookupOption

#######################################################################
# The image buttons (imgbutton.js ; ImgBtnCreate, etc.)
# allow for the use of a width parameter.  This can had the side effect
# of forcing the text in the buttons to wrap.
# Enable the following option to prevent the use of this parameter.
#######################################################################
! SuppressImgButtonWidth 1

#######################################################################
# SpecialHandlingIcon is the URL and icon to the default icon 
# (announcements_16.png) to be displayed if a contact/coustomer has    
# special handling requirements.  You can replace the default icon 
# with a custom icon by replacing the following URL and icon 
# 'img/announcements_16.png' with your own icon as follows 
# 'icon_path/icon.xxx'.
#######################################################################
SpecialHandlingIcon img/announcements_16.png

#######################################################################
# MouseoverPreviewDelayTime is the delay, in milliseconds, between 
# hovering the mouse over a link and the display of the Mouseover 
# Preview.  The preview is not generated if the mouse is moved away 
# from the link before the delay time expires.
# Defaults to the value of the mouseover_preview_delay_time Option,
# which defaults to 1000.
#######################################################################
MouseoverPreviewDelayTime $NX_MOUSEOVER_PREVIEW_DELAY_TIME

#######################################################################
# For internal use only. Please DO NOT modify.
#######################################################################
PdmQA no


# @(#)$Id: web.cfg.tpl ASPEN.14 2012/05/18 10:55:25 kumka02 Exp $
